Subject: Hing

From: [email-masked] (Dina Williams)
Date: Fri, 3 Mar 1995 15:34:50 GMT

Hing, also called Asoefetida, is a spice used in some Indian recipes.  I've
always found it at Asian or Indian grocers.  It's a very strong and tasty
spice, and usually called for in small quantities. Very much worth the
effort of finding it!

Dina